Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QDirIterator.IteratorFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QDirIterator.IteratorFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QDirIterator

    public static final class QDirIterator.IteratorFlag

extends java.lang.Enum
implements QtEnumerator

This enum describes flags that you can combine to configure the behavior of `QDirIterator`.

See Also:
  Serialized Form

Field Summary
`static QDirIterator.IteratorFlag` | `FollowSymlinks` When combined with Subdirectories, this flag enables iterating through all subdirectories of the assigned path, following all symbolic links.
`static QDirIterator.IteratorFlag` | `NoIteratorFlags` The default value, representing no flags.
`static QDirIterator.IteratorFlag` | `Subdirectories` List entries inside all subdirectories as well.

Method Summary
`static QDirIterator.IteratorFlags` | `createQFlags(QDirIterator.IteratorFlag[] values)` This function creates a com.trolltech.qt.core.QDirIterator$IteratorFlags with the specified `com.trolltech.qt.core.QDirIterator$IteratorFlag[]` QDirIterator$IteratorFlag values set.
`static QDirIterator.IteratorFlag` | `resolve(int value)` Returns the QDirIterator$IteratorFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDirIterator.IteratorFlag` | `valueOf(java.lang.String name)`
`static QDirIterator.IteratorFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoIteratorFlags

    public static final QDirIterator.IteratorFlag NoIteratorFlags

  The default value, representing no flags. The iterator will return entries for the assigned path.

### FollowSymlinks

    public static final QDirIterator.IteratorFlag FollowSymlinks

  When combined with Subdirectories, this flag enables iterating through all subdirectories of the assigned path, following all symbolic links. Symbolic link loops (e.g., "link" => "." or "link" => "..") are automatically detected and ignored.

### Subdirectories

    public static final QDirIterator.IteratorFlag Subdirectories

  List entries inside all subdirectories as well.

Method Detail

### values

    public static QDirIterator.IteratorFlag[] values()

### valueOf

    public static QDirIterator.IteratorFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QDirIterator.IteratorFlags createQFlags(QDirIterator.IteratorFlag[] values)

  This function creates a com.trolltech.qt.core.QDirIterator$IteratorFlags with the specified `com.trolltech.qt.core.QDirIterator$IteratorFlag[]` QDirIterator$IteratorFlag values set.

### resolve

    public static QDirIterator.IteratorFlag resolve(int value)

  Returns the QDirIterator$IteratorFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD